# Janayugom GNU/Linux

Janayugom GNU/Linux is a custom [GNU/Linux distribution](https://en.wikipedia.org/wiki/Linux_distribution) made by [Alpha Fork Technologies](https://alphafork.com) to specifically suit the needs of [Janayugom](https://janayugomonline.com/) Newspaper publishing. It is based on the popular [Kubuntu](https://kubuntu.org/) distro, v19.10, which comes with [KDE Plasma](https://kde.org/plasma-desktop) desktop environment by default instead of [GNOME](https://www.gnome.org/gnome-3/) that comes with normal [Ubuntu](https://ubuntu.com/).

## Basic ISO customization

Kubuntu ISO customization was based on the following guides: 
* https://help.ubuntu.com/community/LiveCDCustomization
* https://nathanpfry.com/how-to-customize-an-ubuntu-installation-disc/

### Customization using GUI
Xephyr is used to customize using GUI (Graphical User-Interface) instead of from Command-Line Interface (CLI). To know how to use Xephyr see the [article on Arch Wiki](https://wiki.archlinux.org/index.php/Xephyr).

## Additional softwares included
* [Scribus](https://www.scribus.net/) (Development version)
* [Gimp](https://www.gimp.org/)
* [Inkscape](https://inkscape.org/)
* [Janayugam Edit](https://gitlab.com/alphafork/janayugomedit)
* [Krita](https://krita.org/en/)
* [Pinta](https://pinta-project.com/pintaproject/pinta/)
* [KGet](https://www.kde.org/applications/internet/kget/)
* [Telegram Desktop](https://desktop.telegram.org/)
* [Konqueror](https://konqueror.org)
* [Shotwell](https://wiki.gnome.org/Apps/Shotwell)
* [Converseen](http://converseen.fasterland.net/)
* [Flameshot](https://flameshot.js.org/)
* [Gedit](https://wiki.gnome.org/Apps/Gedit)
* [Cheese](https://wiki.gnome.org/Apps/Cheese)
* [Simple Screen Recorder](https://www.maartenbaert.be/simplescreenrecorder/)
* [Chromium](https://www.chromium.org/)
* [Vim](https://www.vim.org/)
* [OpenSSH Server](https://www.openssh.com/)
* [TeX Live](https://www.tug.org/texlive/) 


`sudo apt install gimp inkscape openssh-server shotwell converseen flameshot gedit cheese simplescreenrecorder chromium-browser vim-gtk3 krita pinta kget telegram-desktop konqueror texworks texlive-xetex texlive-lang-indic texlive-science`


## Additional Plugins and Themes included
### Gimp
* [FxFoundry](http://gimpfx-foundry.sourceforge.net/)
* [Resysnthesiser](https://github.com/bootchk/resynthesizer)

### Plasma
* Customized [Numix theme](https://github.com/numixproject)
* [Color Picker Widget](https://userbase.kde.org/Plasma/ColorPicker)

### Dolphin
* [Reimage](https://store.kde.org/p/1231579/)


## Contact
* Website - [alphafork.com](https://alphafork.com)
* Email - connect at alphafork dot com
* Report issues at https://git.fosscommunity.in/alphafork/janayugom/janayugom-gnu-linux/issues

## License
This document is licensed under [CC-BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/legalcode) (Copyleft - All wrongs reversed).